Subject: Re: [PATCH 1/2] netlink: add NLA_REJECT policy type

From: Johannes Berg <[email-masked]>
Date: Tue, 18 Sep 2018 14:39:38 +0200

On Tue, 2018-09-18 at 08:34 -0400, Jamal Hadi Salim wrote:

> > > Maybe it would be better to have NLA_IGNORE instead? </idea>
> > 
> > I don't think so, it doesn't give any feedback to the application author
> > that they're doing something wrong.
> > 
> 
> Maybe time to introduce kernel side access-control flags?
> Read/Write permissions for example. Attrs marked as read only
> (in the kernel) cannot be written to.

I dunno, that might work for ethtool, but I want to use it for something
that's not even an attribute you could think about writing to, but the
result of some operation you started.

What would the practical difference be though? Hopefully you wouldn't
have write-only attributes, and then NLA_REJECT is basically equivalent?

johannes